name: zhiying_base_widget
description: A new Flutter plugin.
version: 0.0.1
author:
homepage:

environment:
  sdk: ">=2.1.0 <3.0.0"

dependencies:
  flutter:
    sdk: flutter

  flutter_swiper: ^1.1.6
  bloc: ^4.0.0
  event_bus: ^1.1.1
  pull_to_refresh: ^1.6.1
  flutter_cupertino_date_picker: ^1.0.26+2
  image_picker: ^0.6.7+3
  image_cropper:
    git:
      url: 'http://192.168.0.138:3000/FnuoOS_Flutter_Components/Image_Cropper.git'
      ref: '1.2.3+1'

dev_dependencies:
  flutter_test:
    sdk: flutter

  zhiying_comm:
    path: ../zhiying_comm


  json_serializable: ^3.3.0
  build_runner: ^1.10.0

# For information on the generic Dart part of this file, see the
# following page: https://dart.dev/tools/pub/pubspec

# The following section is specific to Flutter.
flutter:
  # This section identifies this Flutter project as a plugin project.
  # The androidPackage and pluginClass identifiers should not ordinarily
  # be modified. They are used by the tooling to maintain consistency when
  # adding or updating assets for this project.
  plugin:
    androidPackage: cn.zhios.zhiying_base_widget
    pluginClass: ZhiyingBaseWidgetPlugin

  # To add assets to your plugin package, add an assets section, like this:
  # assets:
  #  - images/a_dot_burr.jpeg
  #  - images/a_dot_ham.jpeg
  #
  # For details regarding assets in packages, see
  # https://flutter.dev/assets-and-images/#from-packages
  #
  # An image asset can refer to one or more resolution-specific "variants", see
  # https://flutter.dev/assets-and-images/#resolution-aware.

  # To add custom fonts to your plugin package, add a fonts section here,
  # in this "flutter" section. Each entry in this list should have a
  # "family" key with the font family name, and a "fonts" key with a
  # list giving the asset and other descriptors for the font. For
  # example:
  fonts:
    - family: Din-Bold
      fonts:
        - asset: assets/fonts/DIN-Bold.otf
    - family: Din-Medium
      fonts:
        - asset: assets/fonts/DIN-Medium.otf
    - family: Din
      fonts:
        - asset: assets/fonts/DIN-Regular.otf

  #
  # For details regarding fonts in packages, see
  # https://flutter.dev/custom-fonts/#from-packages
